nix3-store-ls(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix store ls - show information about a path in the Nix store

Synopsis
nix store ls [option…] path

Examples

•   To list the contents of a store path in a binary cache:

    # nix store ls --store https://cache.nixos.org/ -lR /nix/store/0i2jd68mp5g6h2sa5k9c85rb80sn8hi9-hello-2.10
    dr-xr-xr-x                    0 ./bin
    -r-xr-xr-x                38184 ./bin/hello
    dr-xr-xr-x                    0 ./share
    …

•   To show information about a specific file in a binary cache:

    # nix store ls --store https://cache.nixos.org/ -l /nix/store/0i2jd68mp5g6h2sa5k9c85rb80sn8hi9-hello-2.10/bin/hello
    -r-xr-xr-x                38184 hello

Description
This command shows information about path in a Nix store. path can be a top-level store path or any file inside a store path.

Options

•   --directory / -d
    Show directories rather than their contents.

•   --json
    Produce output in JSON format, suitable for consumption by another program.

•   --long / -l
    Show detailed file information.

•   --recursive / -R
    List subdirectories recursively.